curl --request PUT \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"status": "activated"
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status"
payload = { "status": "activated" }
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'activated'})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'activated'
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status"
payload := strings.NewReader("{\n \"status\": \"activated\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"activated\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"activated\"\n}"
response = http.request(request)
puts response.read_body{
"id": 1,
"avatarUrl": "http://myavatar/johnsmith",
"displayName": "Entity display name",
"status": "activated",
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"credentialSet": true,
"passcodeSet": false,
"pinSet": false,
"locked": false,
"lockedUntil": 1651180416000,
"createdDate": 1651180416000,
"activatedDate": 1651180416000,
"deactivatedDate": 1651180416000,
"suspendedDate": 1651180416000,
"updatedDate": 1651180416000,
"attributes": {
"com.uxpsystems.mint.user.FamilyName": "<string>",
"com.uxpsystems.mint.user.GivenName": "<string>",
"com.uxpsystems.mint.user.Language": "fr_CA, en",
"domain": "<string>",
"preferredNotificationChannel": "<string>",
"branding": "<string>",
"secret2FATotp": "<string>",
"aliases": [
{
"id": "<string>",
"alias": "<string>"
}
],
"mobiles": [
{
"id": "<string>",
"number": "<string>",
"mfaoption": true
}
],
"emails": [
{
"id": "<string>",
"email": "<string>",
"mfaoption": true
}
],
"socialConnections": [
{
"id": "<string>",
"providerId": "facebook, google",
"socialId": true
}
]
}
}{
"fieldErrors": [
{
"field": "<string>",
"code": "<string>",
"code_v2": "valid-status",
"message": "Invalid entity status in request",
"rejectedValue": "bad_status"
}
],
"operationErrors": [
{
"code": "HTTP_MESSAGE_NOT_READABLE",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"code": "user-not-found",
"message": "The following resource was not found: com.uxpsystems.mint.framework.user.model.GenericUser[id:808]"
}Update a user's status
Changes the status of the Connect user specified by the userId number. The updated user, including its properties and attributes, is returned in the response.
curl --request PUT \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"status": "activated"
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status"
payload = { "status": "activated" }
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'activated'})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'status' => 'activated'
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status"
payload := strings.NewReader("{\n \"status\": \"activated\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"status\": \"activated\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/user/{userId}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"status\": \"activated\"\n}"
response = http.request(request)
puts response.read_body{
"id": 1,
"avatarUrl": "http://myavatar/johnsmith",
"displayName": "Entity display name",
"status": "activated",
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"credentialSet": true,
"passcodeSet": false,
"pinSet": false,
"locked": false,
"lockedUntil": 1651180416000,
"createdDate": 1651180416000,
"activatedDate": 1651180416000,
"deactivatedDate": 1651180416000,
"suspendedDate": 1651180416000,
"updatedDate": 1651180416000,
"attributes": {
"com.uxpsystems.mint.user.FamilyName": "<string>",
"com.uxpsystems.mint.user.GivenName": "<string>",
"com.uxpsystems.mint.user.Language": "fr_CA, en",
"domain": "<string>",
"preferredNotificationChannel": "<string>",
"branding": "<string>",
"secret2FATotp": "<string>",
"aliases": [
{
"id": "<string>",
"alias": "<string>"
}
],
"mobiles": [
{
"id": "<string>",
"number": "<string>",
"mfaoption": true
}
],
"emails": [
{
"id": "<string>",
"email": "<string>",
"mfaoption": true
}
],
"socialConnections": [
{
"id": "<string>",
"providerId": "facebook, google",
"socialId": true
}
]
}
}{
"fieldErrors": [
{
"field": "<string>",
"code": "<string>",
"code_v2": "valid-status",
"message": "Invalid entity status in request",
"rejectedValue": "bad_status"
}
],
"operationErrors": [
{
"code": "HTTP_MESSAGE_NOT_READABLE",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"code": "user-not-found",
"message": "The following resource was not found: com.uxpsystems.mint.framework.user.model.GenericUser[id:808]"
}Authorizations
Path Parameters
The unique ID number of the user
Body
The desired status of the ULM runtime
The status of the entity. Possible values include:
- activating - The entity has been provisioned, but is not yet ready to be used or consumed.
- activated - The entity is active, and the functionality to which it is tied is enabled.
- suspended - The entity is temporarily deactivated, but can be reactivated in the future.
- deactivated - The entity is permanently deactivated, and may be deleted from the system in the near future.
- pending - The entity has been added but is not yet verified for use. It may be linked to an existing entity in order to eventually replace the original entity.
- unknown - This is a generic, catch all state for specific entities.
Note: This field is the current status in GET calls, and the desired status in PUT and POST calls.
activating, activated, suspended, deactivated, pending, unknown "activated"
Response
OK - updated user's status
The object that contains user properties and attributes.
The unique ID number of the Connect entity.
1
The URL of the user’s avatar
"http://myavatar/johnsmith"
The display name of the entity
"Entity display name"
The status of the entity. Possible values include:
- activating - The entity has been provisioned, but is not yet ready to be used or consumed.
- activated - The entity is active, and the functionality to which it is tied is enabled.
- suspended - The entity is temporarily deactivated, but can be reactivated in the future.
- deactivated - The entity is permanently deactivated, and may be deleted from the system in the near future.
- pending - The entity has been added but is not yet verified for use. It may be linked to an existing entity in order to eventually replace the original entity.
- unknown - This is a generic, catch all state for specific entities.
Note: This field is the current status in GET calls, and the desired status in PUT and POST calls.
activating, activated, suspended, deactivated, pending, unknown "activated"
A particular type of a given entity.
"com.uxpsystems.ulm.entity.RegularEntityType"
Whether or not the user currently has a password set. This field exists because the 'credential' field is not returned once set; this field allows to provide some information about the password
true
Whether or not the user currently has a passcode set. This field exists because the 'passcode' field is not returned once set; this field allows to provide some information about the passcode
false
Whether or not the user currently has a PIN set. This field exists because the 'pin' field is not returned once set; this field allows to provide some information about the passcode
false
Whether or not the user currently is locked user due to multiple invalid login attemptes
false
The time untill the user is locked due to multiple invalid login attemptes
1651180416000
The entity’s creation date and time in UNIX Epoch time
1651180416000
The entity’s activation date and time, expressed in UNIX Epoch time
1651180416000
The entity’s deactivation date and time, expressed in UNIX Epoch time
1651180416000
The entity’s suspension date and time, expressed in UNIX Epoch time
1651180416000
The most recent date and time that the entity was updated, expressed in UNIX Epoch time
1651180416000
User Attributes
Show child attributes
Show child attributes

